{% extends 'base.html' %}
{% block content %}

    {% for message in messages %}
    <div class="container-fluid p-0">
        <div class="alert alert-danger {{ message.tags }} alert-dismissible" role="alert" >
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="True">&times;</span>
        </button>
        {{ message }}
        </div>
    </div>
    {% endfor %}
    {% if request.session.role == "Admin" %}
    <table class="table">
        <thead><tr>
            <th scope="col">Level</th>
            <th scope="col">XP</th>
            <th scope="col">Action</th>
          </tr></thead>
        {% if list_level %}
            {% for level in list_level %}
            <tr scope="row">
                <td> {{ level.0 }} </td>
                <td> {{ level.1 }} </td>
                <td> 
                    <a href="/update/update_level/{{ level.0 }}">Update</a>
                    {% if level.2 == 'true' %}
                      <a href="/delete/hapus_level/{{ level.0 }}">Delete</a>
                    {% endif %}
                </td>
            </tr>
            {% endfor %}
        {% endif %}
    </table>
    {% endif %}
    {% if request.session.role == "Pemain" %}
    <table class="table">
        <thead><tr>
            <th scope="col">Level</th>
            <th scope="col">XP</th>
          </tr></thead>
        {% if list_level %}
            {% for level in list_level %}
            <tr scope="row">
                <td> {{ level.0 }} </td>
                <td> {{ level.1 }} </td>
            </tr>
            {% endfor %}
        {% endif %}
    </table>
    {% endif %}

{% endblock content %}